flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pipsisewah <ste...@vantageled.com>
Subject Re: iOS This build is invalid
Date Fri, 04 Mar 2016 18:20:56 GMT
So I decided to go the route of compiling on a Mac.  Got Flash Builder 4.7
installed, copied all the files, etc.  and was able to do a build.  

Now Flash Builder 4.7 only comes with the 4.6 compiler, which does not
account for the 64bit requirement from Apple.  So, I need to build a new
compiler.  I used the overlay method I always use on Windows.
When selecting the newly created compiler, the Mac tells me that it doesnt
recognize this folder as a compiler.  

I followed the same instructions as before.

Copy the current compiler out to the desktop.
Download the latest version of the AIR SDK (without the compiler).
Copy all the AIR SDK files into the current compiler's folder and overwrite
any files as necessary.
Rename folder and move it back to the sdks folder.
Attempt to link up in Flash Builder.

I even tried reversing the process, so that I copy all the files from the
current compiler and overwrite the files in the AIR SDK.  That did cause
Flash Builder to recognize it as a compiler, but unfortunately every time I
build it says the following:
Error occurred while packaging the application:
[File Location]bin-release-temp\AOT\[App Name]-app.xml: error 102: Invalid
namespace
http://ns.adobe.com/air/application/4.6

I have tried 3.1, 4.0, 4.6, 20, and 21.  No luck.  Any ideas?

Thank you!



--
View this message in context: http://apache-flex-development.2333347.n4.nabble.com/iOS-This-build-is-invalid-tp51612p51774.html
Sent from the Apache Flex Development mailing list archive at Nabble.com.

Mime
View raw message